Domains
List system domains and workspace domains.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Response Body
application/json
application/json
curl -X GET "https://example.com/v1/domains"{ "domains": [ { "id": "dom_469m0agk8luj4s16sakmmpdd", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "domain": "string", "isSystem": true, "claimToken": "string", "hostedZoneId": "string", "nameServers": [ "string" ], "status": "pending-zone-creation", "error": null, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "verifiedAt": "2019-08-24T14:15:22Z", "endpoints": [ { "id": "dend_1bb6gdvm1bs74acqkjstcgv", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "domainId": "dom_469m0agk8luj4s16sakmmpdd", "kind": "deployment_portal", "owner": { "type": "workspace", "id": "string" }, "hostname": "string", "status": "waiting_for_domain", "provider": "string", "providerState": { "property1": null, "property2": null }, "managedDnsRecords": [ { "name": "string", "type": "string", "value": "string", "ttl": 1 } ], "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "lockedAt": "2019-08-24T14:15:22Z", "lockedBy": "string", "retryAttempts": 0, "nextStepAfter": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "usage": { "deploymentUrlProjects": [ { "id": "string", "name": "string" } ], "portalBindings": [ { "id": "string", "projectId": "string", "projectName": "string", "hostname": "string" } ], "packageDomains": [ { "id": "string", "hostname": "string" } ], "managerBindings": [ { "id": "string", "managerId": "string", "managerName": "string", "hostname": "string" } ] } } ]}Create a workspace domain and optional initial endpoints.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/domains" \ -H "Content-Type: application/json" \ -d '{ "domain": "string" }'{ "id": "dom_469m0agk8luj4s16sakmmpdd", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "domain": "string", "isSystem": true, "claimToken": "string", "hostedZoneId": "string", "nameServers": [ "string" ], "status": "pending-zone-creation", "error": null, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "verifiedAt": "2019-08-24T14:15:22Z", "endpoints": [ { "id": "dend_1bb6gdvm1bs74acqkjstcgv", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "domainId": "dom_469m0agk8luj4s16sakmmpdd", "kind": "deployment_portal", "owner": { "type": "workspace", "id": "string" }, "hostname": "string", "status": "waiting_for_domain", "provider": "string", "providerState": { "property1": null, "property2": null }, "managedDnsRecords": [ { "name": "string", "type": "string", "value": "string", "ttl": 1 } ], "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "lockedAt": "2019-08-24T14:15:22Z", "lockedBy": "string", "retryAttempts": 0, "nextStepAfter": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "usage": { "deploymentUrlProjects": [ { "id": "string", "name": "string" } ], "portalBindings": [ { "id": "string", "projectId": "string", "projectName": "string", "hostname": "string" } ], "packageDomains": [ { "id": "string", "hostname": "string" } ], "managerBindings": [ { "id": "string", "managerId": "string", "managerName": "string", "hostname": "string" } ] }}Create an endpoint under a workspace domain.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the domain.
dom_[0-9a-z]{28}$Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/domains/dom_469m0agk8luj4s16sakmmpdd/endpoints" \ -H "Content-Type: application/json" \ -d '{ "kind": "deployment_portal" }'{ "id": "dom_469m0agk8luj4s16sakmmpdd", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "domain": "string", "isSystem": true, "claimToken": "string", "hostedZoneId": "string", "nameServers": [ "string" ], "status": "pending-zone-creation", "error": null, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "verifiedAt": "2019-08-24T14:15:22Z", "endpoints": [ { "id": "dend_1bb6gdvm1bs74acqkjstcgv", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "domainId": "dom_469m0agk8luj4s16sakmmpdd", "kind": "deployment_portal", "owner": { "type": "workspace", "id": "string" }, "hostname": "string", "status": "waiting_for_domain", "provider": "string", "providerState": { "property1": null, "property2": null }, "managedDnsRecords": [ { "name": "string", "type": "string", "value": "string", "ttl": 1 } ], "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "lockedAt": "2019-08-24T14:15:22Z", "lockedBy": "string", "retryAttempts": 0, "nextStepAfter": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "usage": { "deploymentUrlProjects": [ { "id": "string", "name": "string" } ], "portalBindings": [ { "id": "string", "projectId": "string", "projectName": "string", "hostname": "string" } ], "packageDomains": [ { "id": "string", "hostname": "string" } ], "managerBindings": [ { "id": "string", "managerId": "string", "managerName": "string", "hostname": "string" } ] }}Get domain by ID.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the domain.
dom_[0-9a-z]{28}$Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/domains/dom_469m0agk8luj4s16sakmmpdd"{ "id": "dom_469m0agk8luj4s16sakmmpdd", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "domain": "string", "isSystem": true, "claimToken": "string", "hostedZoneId": "string", "nameServers": [ "string" ], "status": "pending-zone-creation", "error": null, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "verifiedAt": "2019-08-24T14:15:22Z", "endpoints": [ { "id": "dend_1bb6gdvm1bs74acqkjstcgv", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "domainId": "dom_469m0agk8luj4s16sakmmpdd", "kind": "deployment_portal", "owner": { "type": "workspace", "id": "string" }, "hostname": "string", "status": "waiting_for_domain", "provider": "string", "providerState": { "property1": null, "property2": null }, "managedDnsRecords": [ { "name": "string", "type": "string", "value": "string", "ttl": 1 } ], "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "lockedAt": "2019-08-24T14:15:22Z", "lockedBy": "string", "retryAttempts": 0, "nextStepAfter": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "usage": { "deploymentUrlProjects": [ { "id": "string", "name": "string" } ], "portalBindings": [ { "id": "string", "projectId": "string", "projectName": "string", "hostname": "string" } ], "packageDomains": [ { "id": "string", "hostname": "string" } ], "managerBindings": [ { "id": "string", "managerId": "string", "managerName": "string", "hostname": "string" } ] }}Delete a workspace domain.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the domain.
dom_[0-9a-z]{28}$Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/domains/dom_469m0agk8luj4s16sakmmpdd"{ "success": true}Refresh workspace domain verification.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the domain.
dom_[0-9a-z]{28}$Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/domains/dom_469m0agk8luj4s16sakmmpdd/refresh"{ "id": "dom_469m0agk8luj4s16sakmmpdd", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "domain": "string", "isSystem": true, "claimToken": "string", "hostedZoneId": "string", "nameServers": [ "string" ], "status": "pending-zone-creation", "error": null, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "verifiedAt": "2019-08-24T14:15:22Z", "endpoints": [ { "id": "dend_1bb6gdvm1bs74acqkjstcgv", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "domainId": "dom_469m0agk8luj4s16sakmmpdd", "kind": "deployment_portal", "owner": { "type": "workspace", "id": "string" }, "hostname": "string", "status": "waiting_for_domain", "provider": "string", "providerState": { "property1": null, "property2": null }, "managedDnsRecords": [ { "name": "string", "type": "string", "value": "string", "ttl": 1 } ], "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "lockedAt": "2019-08-24T14:15:22Z", "lockedBy": "string", "retryAttempts": 0, "nextStepAfter": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "usage": { "deploymentUrlProjects": [ { "id": "string", "name": "string" } ], "portalBindings": [ { "id": "string", "projectId": "string", "projectName": "string", "hostname": "string" } ], "packageDomains": [ { "id": "string", "hostname": "string" } ], "managerBindings": [ { "id": "string", "managerId": "string", "managerName": "string", "hostname": "string" } ] }}